org.apache.flume.channel

## Class SpillableMemoryChannel.DrainOrderQueue

- java.lang.Object
- - org.apache.flume.channel.SpillableMemoryChannel.DrainOrderQueue

- Enclosing class:
    SpillableMemoryChannel

      public static class SpillableMemoryChannel.DrainOrderQueue
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ArrayDeque<org.apache.flume.channel.SpillableMemoryChannel.MutableInteger>` | `queue`
    `int` | `totalPuts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpillableMemoryChannel.DrainOrderQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `dump()`
    `int` | `front()`
    `boolean` | `isEmpty()`
    `void` | `putFirstOverflow(Integer eventCount)`
    `void` | `putFirstPrimary(Integer eventCount)`
    `void` | `putOverflow(Integer eventCount)`
    `void` | `putPrimary(Integer eventCount)`
    `void` | `takeOverflow(int takeCount)`
    `void` | `takePrimary(int takeCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queue

          public ArrayDeque<org.apache.flume.channel.SpillableMemoryChannel.MutableInteger> queue

    - #### totalPuts

          public int totalPuts

  - ### Constructor Detail

    - #### SpillableMemoryChannel.DrainOrderQueue

          public SpillableMemoryChannel.DrainOrderQueue()

  - ### Method Detail

    - #### dump

          public String dump()

    - #### putPrimary

          public void putPrimary(Integer eventCount)

    - #### putFirstPrimary

          public void putFirstPrimary(Integer eventCount)

    - #### putOverflow

          public void putOverflow(Integer eventCount)

    - #### putFirstOverflow

          public void putFirstOverflow(Integer eventCount)

    - #### front

          public int front()

    - #### isEmpty

          public boolean isEmpty()

    - #### takePrimary

          public void takePrimary(int takeCount)

    - #### takeOverflow

          public void takeOverflow(int takeCount)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.